package com.ghy.common.enums;

/**
 * 财务细单类型.所有类型合起来等于主订单实付金额
 *
 * @author clunt
 */
public enum FinancialDetailType {

    ORDER_FEE(0, "结单金额"),
    WORKER_FEE(1, "大师傅/店铺提成金额"),
    PLATFORM_FEE(2, "平台提成金额"),
    PLACE_FEE(3, "分销金额,可能存在多级"),
    RETURN_FEE(4, "退款金额"),
    FINE_FEE(5, "超时罚金"),
    COMMISSION_FEE(6,"手续费"),
    TRANSFER_DIFFERENCE_FEE(7, "转单差价");

    private final Integer code;
    private final String desc;

    FinancialDetailType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
